import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { Text, View } from 'react-native';

import styles from './Event.styles.js';

export default class Event extends Component {
    static get propTypes() {
        return {
            description: PropTypes.string,
            endTime: PropTypes.string,
            id: PropTypes.string,
            images: PropTypes.arrayOf(
                PropTypes.shape({
                    url: PropTypes.string,
                }),
            ),
            isTicketed: PropTypes.bool,
            posts: PropTypes.arrayOf(
                PropTypes.shape({
                    author: PropTypes.string,
                    content: PropTypes.string,
                    id: PropTypes.string,
                    isPublic: PropTypes.bool,
                    scheduledPost: PropTypes.bool,
                    sendNotification: PropTypes.bool,
                    timestamp: PropTypes.string,
                    title: PropTypes.string,
                }),
            ),
            requireLoginToSeeAuction: PropTypes.bool,
            showFrom: PropTypes.string,
            showUntil: PropTypes.string,
            startTime: PropTypes.string,
            tagline: PropTypes.string,
            ticketClasses: PropTypes.arrayOf(PropTypes.shape({})),
            title: PropTypes.string,
            url: PropTypes.string,
        };
    }

    static get defaultProps() {
        return {
            images: null,
            isTicketed: false,
            posts: null,
            requireLoginToSeeAuction: false,
            tagline: null,
            ticketClasses: null,
            url: null,
        };
    }

    constructor(props) {
        super(props);
    }

    render() {
        const {
            description,
            endTime,
            images,
            isTicketed,
            requireLoginToSeeAuction,
            showFrom,
            showUntil,
            startTime,
            tagline,
            ticketClasses,
            title,
            url,
        } = this.props;

        return (
            <View style={styles.container}>
                <Text style={styles.title}>Event</Text>
            </View>
        );
    }
}
